/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.cat.handler;

import java.io.File;
import java.io.IOException;
import java.net.URL;

import junit.framework.TestCase;

import org.eclipse.core.runtime.FileLocator;
import org.xml.sax.SAXException;

import benten.core.io.Files;
import benten.twa.ui.jobs.AbstractWorkflowFileHandler;

public class MarkNoTransableHandlerTest extends TestCase {

	private final AbstractWorkflowFileHandler target = new MarkNoTransableHandler();
	private String dataPath;

	private void setDataPath(String caseId) throws IOException {
		final String dataDir = "/src/" + getClass().getName().replace('.', '/') + "Data/" + caseId + "/";
		final URL dataUrl = getClass().getClassLoader().getResource(dataDir);
		dataPath = FileLocator.resolve(dataUrl).getPath();
	}

	private void assertEqualsFile(String actualFileName, String expectedFileName) throws IOException {
		final File actualFile = new File(dataPath + actualFileName);
		final File expectedFile = new File(dataPath + expectedFileName);
		assertEquals(Files.readFileToString(expectedFile), Files.readFileToString(actualFile));
	}

	//-------------------------------------------------------------------------

	public void testRun() throws IOException, SAXException {
		try {
			target.run(null);
			fail();
		} catch (final NullPointerException e) {
			assertTrue(true);
		}
	}

	public void testRun0001() throws IOException, SAXException {
		setDataPath("0001");

		//final MarkNoTransableStatus status = new MarkNoTransableStatus();
		//status.fromDir = new File(dataPath + "in");
		//status.toDir = new File(dataPath + "out");

		//target.run(status);

		//assertEqualsFile("out/test.html", "out/expected.html");
	}
}
